//
//  SinglePointInfoHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/8/27.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "SinglePointInfoHttpPostCmd.h"
#import "SinglePointinfoHttpResult.h"

static NSString *kActionUrl1 = @"/Single/userAttributes";

@implementation SinglePointInfoHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[SinglePointInfoHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[SinglePointinfoHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end

NSString *const kHttpSinglePointInfoHttpPostCmd_appId = @"appId";
NSString *const kHttpSinglePointInfoHttpPostCmd_tokenId = @"tokenId";
NSString *const kHttpSinglePointInfoHttpPostCmd_remoteIp = @"remoteIp";
NSString *const kHttpSinglePointInfoHttpPostCmd_attributeNames = @"attributeNames";
